curl --request GET \
--url https://api.runtools.ai/v1/sandboxes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "sandbox-abc123def456",
"name": "<string>",
"status": "pending",
"tags": [
"<string>"
],
"template": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerDisplayName": "<string>",
"ownerEmail": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mounts": [
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "/workspace",
"readOnly": true
}
],
"hasWritableWorkspaceMount": true,
"sshReady": true,
"vncReady": true,
"ip": "<string>",
"publicIp": "<string>",
"sshAccessConfigured": true,
"sshAuthMethod": "key",
"vncUrl": "<string>",
"resources": {
"vcpus": 2,
"memory": "4GB",
"disk": "10GB"
},
"createdAt": "2023-11-07T05:31:56Z"
}
}Accepts sandbox ID or name (org-scoped).
curl --request GET \
--url https://api.runtools.ai/v1/sandboxes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "sandbox-abc123def456",
"name": "<string>",
"status": "pending",
"tags": [
"<string>"
],
"template": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerDisplayName": "<string>",
"ownerEmail": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mounts": [
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "/workspace",
"readOnly": true
}
],
"hasWritableWorkspaceMount": true,
"sshReady": true,
"vncReady": true,
"ip": "<string>",
"publicIp": "<string>",
"sshAccessConfigured": true,
"sshAuthMethod": "key",
"vncUrl": "<string>",
"resources": {
"vcpus": 2,
"memory": "4GB",
"disk": "10GB"
},
"createdAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.